curl --request PATCH \
--url https://api.coralogix.com/mgmt/openapi/5/cases/cases/case-settings/v1/configs/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"caseLifecycle": {
"autoResolve": {
"enabled": true,
"inactivePeriod": "3600s"
},
"kpi": {
"thresholds": [
{
"enabled": true,
"threshold": "300s"
}
]
},
"resolutionSnoozePeriod": "600s",
"suppressionPeriod": "3600s"
},
"globalIndicatorSettings": {
"enabled": true,
"filteringConditions": [
{
"enabled": true,
"entityLabels": {
"all": {},
"values": {
"items": [
{
"key": "service",
"value": "payments"
}
]
}
},
"priorities": {
"all": {},
"values": {
"items": []
}
}
}
]
},
"name": "SRE Case Settings"
}
'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/cases/cases/case-settings/v1/configs/{id}"
payload = {
"caseLifecycle": {
"autoResolve": {
"enabled": True,
"inactivePeriod": "3600s"
},
"kpi": { "thresholds": [
{
"enabled": True,
"threshold": "300s"
}
] },
"resolutionSnoozePeriod": "600s",
"suppressionPeriod": "3600s"
},
"globalIndicatorSettings": {
"enabled": True,
"filteringConditions": [
{
"enabled": True,
"entityLabels": {
"all": {},
"values": { "items": [
{
"key": "service",
"value": "payments"
}
] }
},
"priorities": {
"all": {},
"values": { "items": [] }
}
}
]
},
"name": "SRE Case Settings"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseLifecycle: {
autoResolve: {enabled: true, inactivePeriod: '3600s'},
kpi: {thresholds: [{enabled: true, threshold: '300s'}]},
resolutionSnoozePeriod: '600s',
suppressionPeriod: '3600s'
},
globalIndicatorSettings: {
enabled: true,
filteringConditions: [
{
enabled: true,
entityLabels: {all: {}, values: {items: [{key: 'service', value: 'payments'}]}},
priorities: {all: {}, values: {items: []}}
}
]
},
name: 'SRE Case Settings'
})
};
fetch('https://api.coralogix.com/mgmt/openapi/5/cases/cases/case-settings/v1/configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"caseSettings": {
"caseLifecycle": {
"autoResolve": {
"enabled": true,
"inactivePeriod": "3600s"
},
"kpi": {
"thresholds": [
{
"enabled": true,
"threshold": "300s"
}
]
},
"resolutionSnoozePeriod": "600s",
"suppressionPeriod": "3600s"
},
"createTime": "2025-09-22T10:30:00.000Z",
"globalIndicatorSettings": {
"enabled": true,
"filteringConditions": [
{
"enabled": true,
"entityLabels": {
"all": {},
"values": {
"items": [
{
"key": "service",
"value": "payments"
}
]
}
},
"priorities": {
"all": {},
"values": {
"items": []
}
}
}
]
},
"id": "3f166e9f-3c88-4af2-b52e-138f339dab3e",
"name": "Default Team Config",
"updateTime": "2023-11-07T05:31:56Z"
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Update a case settings team configuration
Update the display name and/or settings of an existing case settings team configuration.
Requires the following permissions:
case-config:Update
Authorizations
API key authentication
Path Parameters
ID of the case settings team configuration to update
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"8c0c02a3-3c1c-4d56-9a2d-9f6ab6a4b321"
Body
Request to update an existing case settings team configuration.
Team-level configuration options for the lifecycle of case, such as suppression and snooze periods.
Show child attributes
Show child attributes
Team-level indicator configuration options for case management, including case lifecycle and event filtering conditions.
Show child attributes
Show child attributes
New display name for the case settings team configuration
1 - 4096^[\s\S]*$"SRE Case Settings"
Response
Response containing the updated case settings team configuration.
Team-level configuration entity for case management.
Show child attributes
Show child attributes
Was this page helpful?